import { VxeUI } from "../../../@vxe-ui/core/es/index.esm.mjs";
import VxeSwitchComponent from "./src/switch.mjs";
import { dynamicApp } from "../dynamics/index.mjs";
const VxeSwitch = Object.assign(VxeSwitchComponent, {
  install: function(app) {
    app.component(VxeSwitchComponent.name, VxeSwitchComponent);
  }
});
dynamicApp.use(VxeSwitch);
VxeUI.component(VxeSwitchComponent);
const Switch = VxeSwitch;
export {
  Switch,
  VxeSwitch,
  VxeSwitch as default
};
